# Uses of Interface
org.apache.lucene.search.matchhighlight.OffsetsRetrievalStrategySupplier

Packages that use OffsetsRetrievalStrategySupplier
Package
Description
org.apache.lucene.search.matchhighlight
This package contains several components useful to build a highlighter on top of the `Matches` API.

- ## Uses of OffsetsRetrievalStrategySupplier in org.apache.lucene.search.matchhighlight

  Methods in org.apache.lucene.search.matchhighlight that return OffsetsRetrievalStrategySupplier
  Modifier and Type
  Method
  Description
  `static OffsetsRetrievalStrategySupplier`
  MatchRegionRetriever.`computeOffsetRetrievalStrategies(IndexReader reader, Analyzer analyzer)`
  Compute default strategies for retrieving offsets from `MatchesIterator` instances for a set of given fields.
  Constructors in org.apache.lucene.search.matchhighlight with parameters of type OffsetsRetrievalStrategySupplier
  Modifier
  Constructor
  Description
  ``
  `MatchHighlighter(IndexSearcher searcher, Analyzer analyzer, OffsetsRetrievalStrategySupplier offsetsRetrievalStrategies)`
  ``
  `MatchRegionRetriever(IndexSearcher searcher, Query query, OffsetsRetrievalStrategySupplier fieldOffsetStrategySupplier, Predicate<String> fieldsToLoadUnconditionally, Predicate<String> fieldsToLoadIfWithHits)`